package com.njcn.csdevice.service;

import com.njcn.csdevice.pojo.param.AppProjectAddParm;
import com.njcn.csdevice.pojo.param.AppProjectAuditParm;
import com.njcn.csdevice.pojo.param.CsEngineeringAddParm;
import com.njcn.csdevice.pojo.param.CsEngineeringAuditParm;
import com.njcn.csdevice.pojo.vo.EngineeringProjectRelationVo;

import java.util.List;

/**
 * <p>
 * 组和指标关系表 服务类
 * </p>
 *
 * @author xuyang
 * @since 2023-06-19
 */
public interface IEngineeringProjectService {

    boolean addEngineering(CsEngineeringAddParm csEngineeringAddParm);

    boolean updateEngineering(CsEngineeringAuditParm csEngineeringAuditParm);

    boolean deleteEngineering(String id);

    boolean addProject(AppProjectAddParm param);

    boolean updateProject(AppProjectAuditParm param);

    boolean deleteProject(String id);

    List<EngineeringProjectRelationVo> getList();

}
